Skip to main content
POST
/
secrets
Store Secret
curl --request POST \
  --url https://api.example.com/secrets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "value": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "key_hint": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.notte.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Body

application/json
namespace
enum<string>
required
Available options:
llm_provider,
function_env
name
string
required
Required string length: 1 - 128
value
string
required
Minimum string length: 1

Response

Successful Response

id
string
required
namespace
enum<string>
required
Available options:
llm_provider,
function_env
name
string
required
key_hint
string
required
created_at
string<date-time>
required
last_used_at
string<date-time> | null